<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: Creates a list of columns by replacing the intersected ones...</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel="stylesheet" type="text/css" href="R.css">
</head><body>

<table width="100%" summary="page for generateAliasesForIntersectedCols {SparkR}"><tr><td>generateAliasesForIntersectedCols {SparkR}</td><td align="right">R Documentation</td></tr></table>

<h2>Creates a list of columns by replacing the intersected ones with aliases.
The name of the alias column is formed by concatanating the original column name and a suffix.</h2>

<h3>Description</h3>

<p>Creates a list of columns by replacing the intersected ones with aliases.
The name of the alias column is formed by concatanating the original column name and a suffix.
</p>


<h3>Usage</h3>

<pre>
generateAliasesForIntersectedCols(x, intersectedColNames, suffix)
</pre>


<h3>Arguments</h3>

<table summary="R argblock">
<tr valign="top"><td><code>x</code></td>
<td>
<p>a DataFrame on which the</p>
</td></tr>
<tr valign="top"><td><code>intersectedColNames</code></td>
<td>
<p>a list of intersected column names</p>
</td></tr>
<tr valign="top"><td><code>suffix</code></td>
<td>
<p>a suffix for the column name</p>
</td></tr>
</table>


<h3>Value</h3>

<p>list of columns
</p>

<hr><div align="center">[Package <em>SparkR</em> version 1.6.1 <a href="00Index.html">Index</a>]</div>
</body></html>
